$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_6_27-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_6_27-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = '024dfbdfa9efc61fa8fc7e808ee263efc0eee84b8f3061ce8e3fb2d80619f223'
  checksumType  = 'sha256'
  checksum64    = 'f61374985c4e139d7f7690e76037b4569dd57e8cd03ca26485281555eeff8f12'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
